Add git version check to prerequisite check (#11229)
authorVasilis Tsiligiannis <acinonyx@openwrt.gr>
Fri, 6 Apr 2012 12:05:59 +0000 (12:05 +0000)
committerVasilis Tsiligiannis <acinonyx@openwrt.gr>
Fri, 6 Apr 2012 12:05:59 +0000 (12:05 +0000)
SVN-Revision: 31214

include/prereq-build.mk

index c80e004..2391e09 100644 (file)
@@ -121,8 +121,12 @@ $(eval $(call RequireCommand,wget, \
        Please install wget. \
 ))
 
-$(eval $(call RequireCommand,git, \
-       Please install git (git-core). \
+define Require/git
+       git --version | awk '($$$$1 == "git") && ($$$$2 == "version") && ($$$$3 >= "1.6.5") { print "ok" }' | grep ok > /dev/null
+endef
+
+$(eval $(call Require,git, \
+       Please install git (git-core) v1.6.5 or later. \
 ))
 
 define Require/gnutar